/**
 * output package name
 */
package com.kingdee.eas.custom.integration.feishu.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class InstanceUpdateModeEnum extends StringEnum
{
    public static final String REPLACE_VALUE = "REPLACE";//alias=全量替换
    public static final String UPDATE_VALUE = "UPDATE";//alias=增量更新

    public static final InstanceUpdateModeEnum REPLACE = new InstanceUpdateModeEnum("REPLACE", REPLACE_VALUE);
    public static final InstanceUpdateModeEnum UPDATE = new InstanceUpdateModeEnum("UPDATE", UPDATE_VALUE);

    /**
     * construct function
     * @param String instanceUpdateModeEnum
     */
    private InstanceUpdateModeEnum(String name, String instanceUpdateModeEnum)
    {
        super(name, instanceUpdateModeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static InstanceUpdateModeEnum getEnum(String instanceUpdateModeEnum)
    {
        return (InstanceUpdateModeEnum)getEnum(InstanceUpdateModeEnum.class, instanceUpdateModeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(InstanceUpdateModeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(InstanceUpdateModeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(InstanceUpdateModeEnum.class);
    }
}